## org.eclipse.emf.ecore.resource.impl
Enum BinaryResourceImpl.BinaryIO.Version

    java.lang.Object
      java.lang.Enum<BinaryResourceImpl.BinaryIO.Version>
          org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO.Version

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BinaryResourceImpl.BinaryIO.Version>

Enclosing class:
  BinaryResourceImpl.BinaryIO

    public static enum BinaryResourceImpl.BinaryIO.Version

extends java.lang.Enum<BinaryResourceImpl.BinaryIO.Version>

Enum Constant Summary
`VERSION_1_0`

Method Summary
`static BinaryResourceImpl.BinaryIO.Version` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BinaryResourceImpl.BinaryIO.Version[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VERSION_1_0

    public static final BinaryResourceImpl.BinaryIO.Version VERSION_1_0

Method Detail

### values

    public static final BinaryResourceImpl.BinaryIO.Version[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BinaryResourceImpl.BinaryIO.Version c : BinaryResourceImpl.BinaryIO.Version.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BinaryResourceImpl.BinaryIO.Version valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.